A valid request URL is required to generate request examples{
"results": {
"jobId": "<string>"
},
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}Validate project
Validate content inside a project. This will start a validation job and return the job id.
Validation jobs scan all charts and dashboards inside a project to find any broken references to metrics or dimensions that arenāt available. Results are available after the job is completed.
A valid request URL is required to generate request examples{
"results": {
"jobId": "<string>"
},
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}Path Parameters
the projectId for the validation
Body
the compiled explores to validate against an existing project, this is used in the CLI to validate a project without creating a preview
the compiled explores to validate against an existing project, this is used in the CLI to validate a project without creating a preview
charts, dashboards, tables This AnyType is an alias for any
The goal is to make it easier to identify any type in the codebase
without having to eslint-disable all the time
These are only used on legacy any types, don't use it for new types.
This is added on a separate file to avoid circular dependencies.
Was this page helpful?